CFLAGS=-g -Wall -O2

all : dpmimem.exe pktdrvr.exe timer.exe ctrlbrk.exe

dpmimem.exe : dpmimem.o
	gcc $(CFLAGS) -o dpmimem dpmimem.o
	coff2exe dpmimem
	-del dpmimem

dpmimem.o : dpmimem.c
	gcc $(CFLAGS) -c dpmimem.c

pktdrvr.exe : pktdrvr.o
	gcc $(CFLAGS) -o pktdrvr pktdrvr.o
	coff2exe pktdrvr
	-del pktdrvr

pktdrvr.o : pktdrvr.c
	gcc $(CFLAGS) -c pktdrvr.c

timer.exe : timer.o
	gcc $(CFLAGS) -o timer timer.o
	coff2exe timer
	-del timer

timer.o : timer.c
	gcc $(CFLAGS) -c timer.c

ctrlbrk.exe : ctrlbrk.o
	gcc $(CFLAGS) -o ctrlbrk ctrlbrk.o
	coff2exe ctrlbrk
	-del ctrlbrk

ctrlbrk.o : ctrlbrk.c
	gcc $(CFLAGS) -c ctrlbrk.c

clean :
	-del *.o
	-del *.exe
